%define major		18
%define minimajor	18
%define libname		%mklibname totem-plparser %{major}
%define girname		%mklibname totem-plparser-gir 1.0
%define libnamedev	%mklibname totem-plparser -d
%define minilibname	%mklibname totem-plparser-mini %{minimajor}

%define url_ver		%(echo %{version}|cut -d. -f1,2)

Name:		totem-pl-parser
Version:	3.10.7
Release:	%mkrel 2
Summary:	Playlist parser library from the Totem Movie Player
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.hadess.net/totem.php3
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0) >= 2.24.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gmime-2.6)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libarchive) >= 3.0
BuildRequires:	pkgconfig(libquvi-0.9) >= 0.9.1
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.43.0
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	intltool
BuildRequires:	gtk-doc

%description
Shared library used by totem.

%package	i18n
Summary:	Playlist parser library from the Totem Movie Player
Group:		System/Internationalization
BuildArch:	noarch

%description	i18n
This package contains the translations for %{name}.

%package -n	%{libname}
Summary:	Playlist parser library from the Totem Movie Player
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}

%description -n	%{libname}
Shared library used by totem.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}
Conflicts:	%{_lib}totem-plparser17 < 2.32.5-4

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%package -n	%{minilibname}
Summary:	Playlist parser library from the Totem Movie Player
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n	%{minilibname}
Shared library used by totem - minimal version.

%package -n	%{libnamedev}
Summary:	Static libraries, include files for totem playlist parser
Group:		Development/GNOME and GTK+
Provides:	totem-plparser-devel = %{version}
Provides:	libtotem-plparser-devel = %{version}
Requires:	%{libname} = %{version}
Requires:	%{minilibname} = %{version}
Requires:	%{girname} = %{version}

%description -n	%{libnamedev}
Static libraries, include files for totem playlist parser.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static
%make 

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files
%{_libexecdir}/%{name}/

%files i18n -f %{name}.lang

%files -n %{libname}
%doc README NEWS
%{_libdir}/libtotem-plparser.so.%{major}{,.*}

%files -n %{minilibname}
%{_libdir}/libtotem-plparser-mini.so.%{minimajor}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/TotemPlParser-1.0.typelib

%files -n %{libnamedev}
%doc ChangeLog AUTHORS
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/TotemPlParser-1.0.gir
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}/


%changelog
* Mon Sep 26 2016 tv <tv> 3.10.7-2.mga6
+ Revision: 1056846
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Tue Sep 20 2016 ovitters <ovitters> 3.10.7-1.mga6
+ Revision: 1054653
- new version 3.10.7

* Wed Feb 17 2016 umeabot <umeabot> 3.10.6-2.mga6
+ Revision: 963154
- Mageia 6 Mass Rebuild

  + ovitters <ovitters>
    - new version 3.10.6

* Mon Sep 14 2015 fwang <fwang> 3.10.5-3.mga6
+ Revision: 879084
- rebuild for new libgcrypt

* Mon Jun 29 2015 wally <wally> 3.10.5-2.mga6
+ Revision: 847846
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 3.10.5-1.mga6
+ Revision: 836362
- new version 3.10.5

* Tue Feb 17 2015 ovitters <ovitters> 3.10.4-1.mga5
+ Revision: 815388
- new version 3.10.4

* Wed Oct 15 2014 umeabot <umeabot> 3.10.3-3.mga5
+ Revision: 740851
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 3.10.3-2.mga5
+ Revision: 724966
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Mon Sep 22 2014 ovitters <ovitters> 3.10.3-1.mga5
+ Revision: 719201
- new version 3.10.3

* Tue Sep 16 2014 umeabot <umeabot> 3.10.2-2.mga5
+ Revision: 689930
- Mageia 5 Mass Rebuild

* Mon Mar 24 2014 ovitters <ovitters> 3.10.2-1.mga5
+ Revision: 607888
- new version 3.10.2

* Tue Feb 18 2014 ovitters <ovitters> 3.10.1-1.mga5
+ Revision: 594380
- new version 3.10.1

* Sat Feb 08 2014 fwang <fwang> 3.10.0-5.mga5
+ Revision: 586321
- rebuild for new quvi

* Sat Feb 08 2014 ovitters <ovitters> 3.10.0-4.mga5
+ Revision: 586138
- rebuild for new quvi

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-3.mga4
+ Revision: 538746
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 3.10.0-2.mga4
+ Revision: 490287
- rebuild for new libquvi

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 483846
- new version 3.10.0

* Wed Sep 18 2013 fwang <fwang> 3.9.92-1.mga4
+ Revision: 481256
- update libmajor

  + ovitters <ovitters>
    - new version 3.9.92

* Sun Sep 01 2013 fwang <fwang> 3.9.5-2.mga4
+ Revision: 473838
- rebuild for new libquvi

* Sat Aug 03 2013 fwang <fwang> 3.9.5-1.mga4
+ Revision: 462795
- add file list
- new version 3.9.5

* Fri Jun 28 2013 fwang <fwang> 3.4.5-3.mga4
+ Revision: 447750
- rebuild for new libarchive

* Wed May 29 2013 fwang <fwang> 3.4.5-2.mga4
+ Revision: 430478
- disable quvi to wait upstream support quvi-0.9

* Sat May 25 2013 ovitters <ovitters> 3.4.5-1.mga4
+ Revision: 427249
- new version 3.4.5

* Mon Jan 14 2013 umeabot <umeabot> 3.4.3-2.mga3
+ Revision: 384706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 295852
- new version 3.4.3

* Sun Aug 05 2012 wally <wally> 3.4.2-3.mga3
+ Revision: 278910
- make devel pkg to not require gir pkg

* Thu Jul 19 2012 ovitters <ovitters> 3.4.2-2.mga3
+ Revision: 272702
- i18n is noarch
- clean spec

* Tue May 15 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235717
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231070
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227103
- new version 3.4.0

* Sun Mar 18 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 223804
- new version 3.3.92
- drop merged link patch

* Tue Feb 21 2012 fwang <fwang> 3.2.0-1.mga2
+ Revision: 211482
- br gettext
- br gtk-doc
- fix linkage
- new version 3.2.0

* Wed Jan 04 2012 fwang <fwang> 2.32.6-2.mga2
+ Revision: 190643
- rebuild for new libarchive

* Tue Sep 20 2011 fwang <fwang> 2.32.6-1.mga2
+ Revision: 146063
- new version 2.32.6

* Thu Sep 15 2011 fwang <fwang> 2.32.5-4.mga2
+ Revision: 143818
- drop .la files
- split out typelib

  + wally <wally>
    - rebuild for new gmime
    - don't regenerate gtk-docs
    - add libarchive BR

* Sun Jul 10 2011 fwang <fwang> 2.32.5-2.mga2
+ Revision: 121650
- rebuild for new typelibprovides

* Tue Jun 21 2011 pterjan <pterjan> 2.32.5-1.mga2
+ Revision: 110802
- Update to 2.32.5

* Thu Apr 14 2011 pterjan <pterjan> 2.32.4-1.mga1
+ Revision: 85494
- Update to 2.32.4

* Wed Feb 23 2011 pterjan <pterjan> 2.32.3-1.mga1
+ Revision: 57180
- Update to 2.32.3

* Sun Jan 23 2011 pterjan <pterjan> 2.32.1-1.mga1
+ Revision: 35330
- Drop old stuff
- imported package totem-pl-parser

